Subject: Re: [MMUSIC] Comments on draft-ietf-mmusic-sctp-sdp-06.txt

From: "Makaraju, Maridi Raju (Raju)" <[email-masked]>
Date: Mon, 17 Feb 2014 19:08:45 +0000

(Sorry for the duplicate post. Posting this again as this post did not get any response probably due to posting issues!)

>4.1        a=sctpmap:5000 webrtc-datachannel max-message-size=100000 streams=16

>9.3        a=sctpmap:5000 webrtc-DataChannel max-message-size=100000 streams=16

>11.1   'app' parameter and register as first value "webrtc-datachannel" for

[Raju]

Above three types of representations of "webrtc-datachannel" should use a single value;

The value may be based on the outcome from discussion that is going on a different thread.

>4.1 a=sctpmap:5000 webrtc-DataChannel max-message-size=100000 streams=16

[Raju] Instead of putting webrtc data channel attributes on the same line (which gets long too), How about reusing existing a=fmtp? as in:

a=fmtp:5000 max-message-size=100000 streams=16

or how about even further shortening it to?

a=fmtp:5000 mms=100000; streams=16

Then these attributes of 'app' protocol can be defined either in rtcweb-data-channel

and then IANA (section 11.1) will have a reference to it. Any such attributes defined

for this or any generic 'app' protocol are carried in a=fmtp line transparently.

Regards

Raju

> -----Original Message-----

> From: mmusic [mailto:[email-masked]] On Behalf Of internet-

> [email-masked]<mailto:[email-masked]>

> Sent: Thursday, February 13, 2014 8:21 AM

> To: [email-masked]<mailto:[email-masked]>

> Cc: [email-masked]<mailto:[email-masked]>

> Subject: [MMUSIC] I-D Action: draft-ietf-mmusic-sctp-sdp-06.txt

> A New Internet-Draft is available from the on-line Internet-Drafts

> directories.

>  This draft is a work item of the Multiparty Multimedia Session Control

> Working Group of the IETF.

>         Title           : Stream Control Transmission Protocol (SCTP)-Based

> Media Transport in the Session Description Protocol (SDP)

>         Authors         : Salvatore Loreto

>                           Gonzalo Camarillo

>     Filename        : draft-ietf-mmusic-sctp-sdp-06.txt

>     Pages           : 14

>     Date            : 2014-02-13

> Abstract:

>    SCTP (Stream Control Transmission Protocol) is a transport protocol

>    used to establish associations between two endpoints.  This document

>    describes how to express media transport over SCTP in SDP (Session

>    Description Protocol).  This document defines the 'SCTP', 'SCTP/DTLS'

>    and 'DTLS/SCTP' protocol identifiers for SDP.

> The IETF datatracker status page for this draft is:

> https://datatracker.ietf.org/doc/draft-ietf-mmusic-sctp-sdp/

> There's also a htmlized version available at:

> http://tools.ietf.org/html/draft-ietf-mmusic-sctp-sdp-06

> A diff from the previous version is available at:

> http://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-sctp-sdp-06

> Please note that it may take a couple of minutes from the time of submission

> until the htmlized version and diff are available at tools.ietf.org.

> Internet-Drafts are also available by anonymous FTP at:

> ftp://ftp.ietf.org/internet-drafts/

> _______________________________________________

> mmusic mailing list

> [email-masked]<mailto:[email-masked]>

> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Salvatore Loreto <[email-masked]>
Date: Mon, 24 Feb 2014 19:51:14 +0000

On Feb 17, 2014, at 9:08 PM, "Makaraju, Maridi Raju (Raju)" <[email-masked]<mailto:[email-masked]>> wrote:

[Raju]

you are absolutely right,
those are editorial typo I will address in the next version of the document

I have receive a similar comment before
however my reading of RFC4566 is that a=fmtp is defined only for specifying format parameter for a=rtpmap:

if we want to use the same a=fmtp for the a=sctpmap it is necessary to to specify this usage within the draft-ietf-mmusic-sctp-sdp-05,
I don't have any problem to do so… if I see consensus on doing so.

br
Salvatore

Regards
Raju

> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>

---

From: "Makaraju, Maridi Raju (Raju)" <[email-masked]>
Date: Mon, 24 Feb 2014 20:13:43 +0000

if we want to use the same a=fmtp for the a=sctpmap it is necessary to to specify this usage within the draft-ietf-mmusic-sctp-sdp-05,
I don't have any problem to do so... if I see consensus on doing so.
[Raju] This draft followed same m= line syntax for SCTP. Similr to RTP codec formats, SCTP has "port #s" as formats. SDP RFC 4566 Section 6<http://tools.ietf.org/html/rfc4566#section-6> http://tools.ietf.org/html/rfc4566#section-6 does allow additional attributes to be specified for these formats. The text there does not say they are for RTP only. So, IMHO, we can use a=fmtp for data channel attributes.

<RFC 4566 Section 6<http://tools.ietf.org/html/rfc4566#section-6> http://tools.ietf.org/html/rfc4566#section-6>

    m=<media> <port> <proto> <fmt> ...
...
      a=fmtp:<format> <format specific parameters>

         This attribute allows parameters that are specific to a
         particular format to be conveyed in a way that SDP does not
         have to understand them.  The format must be one of the formats
         specified for the media.  Format-specific parameters may be any
      set of parameters required to be conveyed by SDP and given
   unchanged to the media tool that will use this format.  At most
      one instance of this attribute is allowed for each format.

</RFC 4566 Section 6<http://tools.ietf.org/html/rfc4566#section-6> http://tools.ietf.org/html/rfc4566#section-6>

Resulting example look like this; which seem to fit very naturally and same look and feel as RTP case with the only difference being "rtpmap" is replaced, appropriately, with "sctpmap".

m=application 54111 DTLS/SCTP 5000
c=IN IP4 79.97.215.79
a=sctpmap:5000 webrtc-datachannel
a=fmtp:5000 max-message-size=100000 streams=16

-Raju